% Read the input optical signal data
InputSignalAmplitude = InputPort1.Sampled.Signal;
%InputSignalTime = InputPort1.Sampled.Time;

% Determine the reflected signal power
AtmLF = AtmosphericLossFactor;
TR = TargetReflectivity;
OTL = OpticalTransmissionLoss;
RAD = ReceiverApertureDiameter;  % cm
R = RangeTarget; % m

PowerAttenuation = (TR * (RAD*0.01)^2 * (AtmLF)^2 * OTL)/(4*(R)^2);

OutputPort1.Sampled.Signal = InputSignalAmplitude*sqrt(PowerAttenuation);